org.vishia.gral.ifc

## Interface GralSetValue_ifc

- All Known Subinterfaces:
    GralCurveView_ifc, GralCurveViewTrack_ifc
  All Known Implementing Classes:
    AwtPanel, FcmdFileCard, GralButton, GralCurveView, GralCurveView.Track, GralFileSelector, GralHorizontalSelector, GralHtmlBox, GralLabel, GralLed, GralPanelContent, GralPlotArea, GralSlider, GralTabbedPanel, GralTable, GralTextBox, GralTextField, GralValueBar, GralWidget, GralWindow

      public interface GralSetValue_ifc

  Interface for all widgets which can represent a float value maybe showing or regarding a minimal and maximal value. It is applicable commonly.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `version` Version, history and license.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getContentInfo()` Gets the application specific info.
    `int` | `getDataIx()`
    `java.lang.String` | `getDataPath()` Changes the data path
    `void` | `setContentInfo(java.lang.Object content)` Sets a application specific info.
    `void` | `setDataIx(int dataIx)`
    `void` | `setDataPath(java.lang.String sDataPath)` Sets the data path.
    `void` | `setLongValue(long value)` Sets a value to show.
    `void` | `setMinMax(float minValue, float maxValue)` Sets the border of the value range for showing.
    `void` | `setText(java.lang.CharSequence text)` See `GralWidget.setText(CharSequence)`.
    `void` | `setValue(float value)` Sets a value to show.
    `void` | `setValue(java.lang.Object[] value)` Sets some values to show any content.

- - ### Field Detail

    - #### version

          static final int version

      Version, history and license.
      - 2012-04-25 Hartmut new: `setText(CharSequence)`
      - 2012-04-01 Hartmut new: `setValue(Object[])` as a possibility to set the appearance of a widget with more as one value, maybe float, integer etc. It is used for `GralLed` to determine colors for border and inner.
      - 2012-02-22 Hartmut enhanced: now used for lines of a curve view. Now basic interface for GralWidget.
      - 2012-01-01 Hartmut Created, firstly only for the value bar.
      Copyright/Copyleft:
      For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL is not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but doesn't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you intent to use this source without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setContentInfo

          void setContentInfo(java.lang.Object content)

      Sets a application specific info. It should help to present user data which are associated to this widget. This info can be set and changed anytime.

    - #### getContentInfo

          java.lang.Object getContentInfo()

      Gets the application specific info. See `setContentInfo(Object)`.

    - #### setDataPath

          void setDataPath(java.lang.String sDataPath)

      Sets the data path. It is a String in application context.
      Parameters:
        `sDataPath` -

    - #### getDataPath

          java.lang.String getDataPath()

      Changes the data path
      Parameters:
        `sDataPath` - the new one
      Returns:
        the last one.

    - #### getDataIx

          int getDataIx()

    - #### setDataIx

          void setDataIx(int dataIx)

    - #### setValue

          void setValue(float value)

      Sets a value to show.
      Parameters:
        `value` -

    - #### setLongValue

          void setLongValue(long value)

      Sets a value to show.
      Parameters:
        `value` -

    - #### setValue

          void setValue(java.lang.Object[] value)

      Sets some values to show any content. Depending from the type of widget more as one value can be used for several functionality.
      Parameters:
        `value` - array of floats

    - #### setText

          void setText(java.lang.CharSequence text)

      See `GralWidget.setText(CharSequence)`.
      Parameters:
        `text` -

    - #### setMinMax

          void setMinMax(float minValue,
                         float maxValue)

      Sets the border of the value range for showing. If it is a ValueBar, for example, it is the value for 0% and 100%
      Parameters:
        `minValue` -
        `maxValue` -